wxmaxima (19.01.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:23:28 +0800

wxmaxima (19.01.2-1) unstable; urgency=medium

  * A new upstream version that mainly corrects cell heights.
  * Updated debian/compat and the respective dependency in debian/control
  * Re-exported the signing key in order to silence a lintian warning
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 13 Jan 2019 13:10:36 +0100

wxmaxima (18.12.0-1) unstable; urgency=medium

  * A new upstream version that provides many bugfixes and big
    performance improvements.
  * Added uscan rule and gpg signature for verifying the tarball integrity
  * Added an debian/upstream/metadata file
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 24 Dec 2018 23:37:36 +0100

wxmaxima (18.11.4-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes and
    performance improvements.
  * Corrected the homepage field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 26 Nov 2018 07:56:36 +0100

wxmaxima (18.10.2-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes, features and
    performance improvements.
  * Updated the Homepage and the main upstream contact of the program.
  * Dropped all the patches as they are incorporated in the new upstream
  * release.
  * Raised the debhelper compatibility level (and min version) to 11
  * debian info: Promoted several URLs from http to https
  * debian packaging: Removed the unneeded get-orig-source target.
  * debian packaging: Added an vcs-browser field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 22 Oct 2018 08:12:36 +0100

wxmaxima (18.02.0-2) unstable; urgency=medium

  * Added a patch that repairs "Replace all" when not matching the case.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 21 Feb 2018 03:25:36 +0100

wxmaxima (18.02.0-1) unstable; urgency=medium

  * New upstream release (closes: bug#890637, #890212)
  * Added a patch that makes the new version use the correct gnuplot parameters.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 17 Feb 2018 19:07:36 +0100

wxmaxima (17.10.1-1) unstable; urgency=medium

  * New upstream release incorporating all the patches and enabling
    tooltips for the more exotic worksheet items
  * Dropped all the patches.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 22 Oct 2017 06:40:36 +0100

wxmaxima (17.10.0-3) unstable; urgency=medium

  * debian/control: Instead of dropping the dependency to a specific maxima
    I accidentally dropped the dependency to maxima entirely.
    (closes: bug#877891)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 21:52:36 +0100

wxmaxima (17.10.0-2) unstable; urgency=medium

  * Patch: One of the bugfixes in wxMaxima could cause a race condition that could
    cause maxima's output to be attached to the wrong input cell => Reverted that
    bugfix as attaching the output at the right place is more important than
    supporting :lisp commands in the very first cell of the worksheet.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 9:25:36 +0100

wxmaxima (17.10.0-1) unstable; urgency=medium

  * New upstream release with many new features, bugfixes and performance
    improvements.
  * Switched the build system to cmake replacing the dependency to dh-autoreconf
    by the dependency to cmake.
  * Bumped the standards version to 3.9.8
  * debian/rules: Cleaned up override_dh_auto_build and override_dh_auto_install
  * debian/control: wxMaxima doesn't depend on a specific version of maxima and
    maxima-doc.
  * debian/control: There is a good fallback for a missing fonts-jsmath.
    maxima-doc isn't necessary for running wxMaxima and the type of pdf
    animations texlive-latex-extra was needed for are no more
    supported by any major pdf viewer => Changed these packages to "suggested".
  * debian/control: Dropped the dependency to ImageMagick, perl and texinfo
    which are no more used.
  * debian/copyright: wxmathml.lisp has been replaced by wxmathml.lisp.in
  * debian/watch: github is the new project location.
  *  Tried to make the watch file work again.
  * Dropped all patches as they were upstreamed.
  * Added a Patch that updates the location of appdata.xml
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 1 Oct 2017 21:12:36 +0100

wxmaxima (16.12.2-2) unstable; urgency=medium

  * Resolved an incompatibility with the gcl debian is currently shipped with.
    (closes: bug#853787)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 19 Feb 2017 19:39:36 +0100

wxmaxima (16.12.2-1) unstable; urgency=medium

  * New upstream release that repairs drag-and-drop.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 25 Jan 2017 22:41:36 +0100

wxmaxima (16.12.0-1) unstable; urgency=medium

  * New upstream release. Contains literally hundreds of bug fixes,
    performance improvements and usability improvements.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 12 Dec 2016 06:42:36 +0100

wxmaxima (16.04.2-1) unstable; urgency=medium

  * New upstream release. Fixes bugs reported since the last release including
    special cases of integrals and fractions.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 11 May 2016 21:20:36 +0100

wxmaxima (16.04.1-1) unstable; urgency=medium

  * New upstream release. Fixes another printing problem, a possible crash
    and a scrolling issue.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 06 Apr 2016 12:17:36 +0100

wxmaxima (16.04.0-1) unstable; urgency=medium

  * New upstream release. Fixes printing and brings in many new features,
    bug fixes, performance and stability improvements.
  * Moved the patch that removes the double menu upstream
  * Deleted the .menu file that should be obsolete by now, anyway.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 03 Apr 2016 18:28:36 +0100

wxmaxima (15.08.2-1) unstable; urgency=medium

  * New upstream release. Fixes sidebar buttons and toolbar enable.
  * Removed the broken and duplicate menu file
  * Unbroke the remaining menu file (closes: bug#798156)
  * added a .gbp file for debcheckout
  * Added information about the packaging branch to debian/control
  * Dropped the patch that adds a missing .po file since it was added upstream
  * Dropped the parch that adds a mimetype to the .desktop file (is upstream)
  * Now we register our docs with doc-base
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 09 Sep 2015 03:39:36 +0100

wxmaxima (15.08.1-2) unstable; urgency=medium

  * Added a patch that adds the missing en.po to the tarball.
  * Added a patch that corrects the desktop file.
  * Cleaned up debian/rules
  * Added the .menu file to the debian directory
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Thu, 03 Sep 2015 07:37:36 +0100

wxmaxima (15.08.1-1) unstable; urgency=medium

  * New upstream release (closes: bug#466997) introducing
    syntax highlighting, many performance, stability and usability fixes,
    a content assistant, a state-of-the-art html export,
    compatibility to maxima 5.37, support for a subset of Markdown and
    bash autocompletion
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Tue, 01 Sep 2015 19:03:36 +0100

wxmaxima (15.04.0-1) unstable; urgency=medium

  * New upstream release with many new features (closes: bug#752528, #617355)
    The list of the most important user-visible changes can be viewed in
    the file ChangeLog in the original tarball.
  * New maintainer (closes: bug#744706)
  * Added ibus-gtk2 to the dependencies (needed for hotkey processing in some
    setups)
  * Added imagemagick to the dependencies (else export of animations breaks
    silently)
  * Changed recommended font from ttf-jsmath (virtual package) to the real
    package fonts-jsmath
  * wxMaxima now includes a manual that adds perl, texinfo and gettext to the
    build-dependencies  * debian/copyright: The tango icons have been released
    to the public domain
  * debian/compat: Updated the standards version to 9.
  * The patch that adds the desktop file now is included in upstream
  * The patch that improves key modifier handling now is included in upstream
  * Desktop integration (.desktop file, desktop icon, registered mimetypes,
    appdata.xml) is
    now included in upstream.
  * debian/copyright: Corrected the filename of data/wxmathml.lisp
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 04 Jul 2015 10:16:36 +0100

wxmaxima (13.04.2-4) unstable; urgency=medium

  * QA upload.
  * New patch 100_improve_key_modifiers_handling.patch cherry-picked from
    upstream git which fixes #742988 under wxWidgets 3.0.
  * Update to use wxWidgets 3.0 again.  (closes: #741569)

 -- Olly Betts <olly@survex.com>  Tue, 29 Apr 2014 09:47:11 +1200

wxmaxima (13.04.2-3) unstable; urgency=medium

  * Orphan package.
  * Revert the update to wxWidgets 3.0. (closes: #742988)
  * Remove myself from Uploaders and set the QA Group as Maintainer.

 -- Frank S. Thomas <fst@debian.org>  Sun, 27 Apr 2014 09:41:59 +0200

wxmaxima (13.04.2-2) unstable; urgency=low

  * Use dh-autoreconf to support arm64. (closes: #728003)
  * Bumped Standards-Version from 3.9.4 to 3.9.5, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 16 Mar 2014 10:05:36 +0100

wxmaxima (13.04.2-1.1) unstable; urgency=low

  * Non-maintainer upload at maintainer's request.
  * Update to use wxWidgets 3.0.  (closes: #741569)

 -- Olly Betts <olly@survex.com>  Sat, 15 Mar 2014 10:59:46 +1300

wxmaxima (13.04.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. (closes: #711965)
  * Updated debian/copyright for the new release.
  * Bumped Standards-Version from 3.9.3 to 3.9.4, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Wed, 19 Jun 2013 18:16:46 +0200

wxmaxima (12.04.0-1) unstable; urgency=low

  * New upstream release.
    - Shows the output of build_info(). (closes: #670088)
  * Bumped Standards-Version from 3.9.2 to 3.9.3, no changes required.
  * Use debhelper >= 9 and dpkg-buildflags.
  * Added independent license paragraphs to debian/copyright.

 -- Frank S. Thomas <fst@debian.org>  Tue, 01 May 2012 18:04:55 +0200

wxmaxima (12.01.0-1) unstable; urgency=low

  * New upstream release.
    - Registers text/x-wxmaxima-batch as MimeType for wxMaxima documents.
      (closes: #626525)
    - Indicates in the desktop file that a filename can be passed as command
      line argument to wxMaxima. (LP: #887806)
  * Updated debian/copyright according to the latest DEP5 specification.

 -- Frank S. Thomas <fst@debian.org>  Tue, 17 Jan 2012 21:27:27 +0100

wxmaxima (11.08.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.9.1 to 3.9.2, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Mon, 15 Aug 2011 08:11:02 +0200

wxmaxima (11.04.0-1) unstable; urgency=low

  * New upstream release.
    - Adds support for CUA editing keys. (closes: #610559)
  * debian/rules: Added a get-orig-source target that calls uscan to document
    explicitly how upstream tarballs are obtained.

 -- Frank S. Thomas <fst@debian.org>  Sat, 23 Apr 2011 00:37:15 +0200

wxmaxima (0.8.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Frank S. Thomas <fst@debian.org>  Sun, 06 Feb 2011 10:29:26 +0100

wxmaxima (0.8.7-1) experimental; urgency=low

  * New upstream release.

 -- Frank S. Thomas <fst@debian.org>  Thu, 27 Jan 2011 08:32:01 +0100

wxmaxima (0.8.6-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.4 to 3.9.1, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Sun, 14 Nov 2010 09:20:29 +0100

wxmaxima (0.8.5-2) unstable; urgency=low

  * debian/control: Recommend libgnomeprintui2.2-0 which is required to
    print properly. Thanks to Andres Cimmarusti for hunting down this
    issue. (closes: #575297)

 -- Frank S. Thomas <fst@debian.org>  Sat, 12 Jun 2010 01:58:34 +0200

wxmaxima (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Tue, 04 May 2010 22:33:55 +0200

wxmaxima (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - wxMaxima shows now appropriate error messages when plotting undefined
      functions. (closes: #545105)
  * Switched to source format "3.0 (quilt)".
  * Removed debian/patches/001_renamed_client_to_server.patch which was
    required for Maxima (<< 5.18). Now that a newer Maxima version is in
    unstable, this patch has been dropped and the Maxima dependency has
    been bumped to (>= 5.18). (closes: #561326)
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Wed, 16 Dec 2009 12:34:45 +0100

wxmaxima (0.8.3a-2) unstable; urgency=low

  * debian/watch: Changed regexp to match versions with lower case characters.
  * debian/control: Recommend ttf-jsmath which is required for displaying
    mathematical symbols and greek letters. Thanks to Brendon Higgins!
    (closes: #550022)

 -- Frank S. Thomas <fst@debian.org>  Sun, 18 Oct 2009 17:05:03 +0200

wxmaxima (0.8.3a-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version from 3.8.2 to 3.8.3, no changes
    required.
  * debian/patches/: wxmaxima.desktop was updated upstream according to the
    latest freedesktop.org specs so reduced 201_fix_desktop_file.patch to the
    Debian specific bits and renamed it to 002_adapt_desktop_file.patch.
  * debian/rules: Do not configure with "--enable-unicode-glyphs" because this
    option has been removed in this release.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Sat, 29 Aug 2009 11:09:53 +0200

wxmaxima (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Set configure's --build and --host options properly
    according to the autotools-dev documentation.
  * debian/patches/: Added 001_renamed_client_to_server.patch so that wxMaxima
    works with Maxima (<< 5.18).
  * debian/control: This version requires wxWidgets (>= 2.8.4), bumped
    build-dependency accordingly.
  * Update config.{guess,sub} at build time and therefore added autotools-dev
    to Build-Depends.

 -- Frank S. Thomas <fst@debian.org>  Sun, 28 Jun 2009 13:58:42 +0200

wxmaxima (0.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #484281, #508181)
    - Does not fail to build from source. (closes: #527708)
    - Warns on quit if modified files are not saved. (closes: #457599)
    - Does not display an error pupup on program startup. (closes: #368630)
    - Does not exhibit "strange" Lisp errors with recent maxima.
      (closes: #493882, #487391)
  * debian/control:
    - Took over package from Rafa Rodríguez Galván with his permission. Thanks
      Rafa and Marco for all your work! Set Debian Science Maintainers as
      Maintainer and myself as Uploader.
    - Added Vcs-{Git,Browser} and Homepage fields.
    - wxWidgets >= 2.8.0 is required now; updated build-dependency accordingly.
    - Bumped Standards-Version to 3.8.2.
    - libxml2-dev is not required anymore; removed it from Build-Depends.
    - Edited Description with the help of the debian-l10n-english folks.
  * Updated debian/copyright and adapted it to DEP5. (closes: #439964)
  * Added debian/watch file.
  * debian/wxmaxima.menu:
    - Changed section "Apps/Math" to "Applications/Science/Mathematics".
    - Use 16x16 and 32x32 wxMaxima icons. (closes: #428820)
  * Use dh and quilt's new debhelper addon instead of CDBS to minimize
    debian/rules. This required to build-depend on debhelper (>= 7.0.50) and
    quilt (>= 0.46-7).
  * debian/patches/:
    - Added 201_fix_desktop_file.patch that changes wxmaxima.desktop so that it
      is valid according to the latest freedesktop.org specs. (closes: #466997)
    - Removed config.patch; applied upstream.

 -- Frank S. Thomas <fst@debian.org>  Sat, 27 Jun 2009 15:18:46 +0200

wxmaxima (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Added a patch to replace automatically the parameter 'maxima' in
    users ~/.wxMaxima if set to a wrong value (it happens on upgrades from
    wxmaxima_0.7.0a-1). (Closes: #391535)

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 26 Feb 2007 12:32:24 +0000

wxmaxima (0.7.0a-1) unstable; urgency=low

  * New upstream release.
  * Updated depends on maxima (>= 5.10.0). Closes: #387782
  * Added depends on maxima-doc
  * Bumped standard versions tp 3.7.2
  * Added a patch to locate documentation
  * Disabled support for drag and drop (knonw bug in upstream sources)

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed, 27 Sep 2006 11:39:41 +0200

wxmaxima (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Upstream changes fix documentation browsing. Closes: #340152

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 21 Nov 2005 15:57:51 -0500

wxmaxima (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * wxmaxima now depends on maxima>=5.9.2 due to case-sensitive
    commands introduction in maxima 5.9.2

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 17 Nov 2005 22:12:36 -0500

wxmaxima (0.6.2-4) unstable; urgency=low

  * Added wxmaxima.desktop

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 25 Oct 2005 14:52:44 -0400

wxmaxima (0.6.2-3) unstable; urgency=low

  [ Rafa Rodriguez Galvan ]
  * Provided wxmaxima.menu entry. Closes: #335645.

  [ Marco Presi ]
  * Added maxima icon.

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 25 Oct 2005 12:17:05 -0400

wxmaxima (0.6.2-2) unstable; urgency=low

  * Modified erroneous entry in Maintainer: field.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 23 Oct 2005 13:27:55 -0400

wxmaxima (0.6.2-1) unstable; urgency=low

  * Initial release Closes: #290922

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed,  5 Oct 2005 00:38:43 -0400
